package ar.sparse.abi;

import java.util.Hashtable;
/**
 * A SparseStorage class.
 * 
 * @author AbinayaPitchai
 * since 04.17.14
 *
 */
public class SparseDataTable {
	
	Hashtable<Integer, SparseBlock > sparseBlockTable; 
	
	public SparseDataTable(){
		sparseBlockTable = new Hashtable<Integer, SparseBlock>();
	}
	
	public void addToTable(Integer blockNum, SparseBlock sparseBlock){
		sparseBlockTable.put(blockNum, sparseBlock);
	}
	
	public Hashtable<Integer, SparseBlock> getSparseBlockTable() {
		return sparseBlockTable;
	}
}
