/* 
    SDBException.java
    Copyright 2000 University of New Hampshire
    Durham, NH 03824
*/


package edu.unh.sdb.common;

/** This is the parent class for all exceptions specific to the 
 *  sdb project.
 */
public class SDBException extends RuntimeException
{   
   private static final long serialVersionUID = 0; // for serialization inheritance

    /** Create an exception with an explanatory message. */
    public SDBException( String message )
    {
       super( message );
    }
} 