//
//  XMLReaderError.java
//  DS2Test
//
//  Created by Gang Lu on  7-25-2003 
//   
//

//---------------------- Edit history as of 11/24/05 ------------------------------
// 11/24/05 rdb: revised (and simplified) to use new SDBError.logError 
//---------------------------------------------------------------------------------

package edu.unh.sdb.common;

/** This error is created whenever there is a problem communicating with
    the XMLReader. */

public class XMLReaderError extends SDBError
{
    
    /** Create an error with the specified error level and message.
        The error level can be either SDBError.Fatal or 
        SDBError.Recoverable.
    */
    
    public XMLReaderError( int errorLevel, String message )
    {
        super( errorLevel, new XMLReaderException( message ) );
    }  
} 
