/*
   programmer:     LI YE
   
   rdb notes: Should probably inherit from BlockIterator or at least Iterator
*/

package edu.unh.sdb.datasource;                                                                                
//import java.io.*;
                                                                                
//import edu.unh.sdb.common.*;
                                                                                
public abstract class CellBlockIterator {
    //protected DataBlock block;
    protected boolean valid = false;
    
    /** construction with an uniform cell block */
    public CellBlockIterator()
    { }

    /** Return true if the current position is valid */
    public boolean valid()
    {
       return this.valid;
    }

    /** Initialize this CellBlockIterator */
    public abstract void init();

    /** Moving the CellBlockIterator to the next position. */
    public abstract boolean next();

    /** Return a String representing the object. */
    public String toString(){
        return this.toString("");
    }
     
    /** Return description of this ARRSCell */
    public abstract String toString(String indent);
                                                                                
}

