package edu.unh.sdb.datasource;

import java.util.Hashtable;
/**
 * A SparseStorage class.
 * 
 * @author AbinayaPitchai
 * since 04.17.14
 *
 */
public class SparseDataTable {
	
	Hashtable<Integer, SparseBlockInfo> sparseBlockTable; 
	
	public SparseDataTable(){
		sparseBlockTable = new Hashtable< Integer, SparseBlockInfo>();
	}
	
	public void addToTable(Integer sparseId, SparseBlockInfo sparseBlockInfo){
		sparseBlockTable.put(sparseId, sparseBlockInfo);
	}
	
	public Hashtable<Integer, SparseBlockInfo> getSparseBlockTable() {
		return sparseBlockTable;
	}
	
	public SparseBlockInfo getSparseBlockInfo(Integer originalBlkId){
		return sparseBlockTable.get(originalBlkId);
	}
}
