/* 
    VRDataSourceBuilder.java
    Author:  Denise D. Mitchell 2002
    University of New Hampshire
    Durham, NH 03824
*/

package edu.unh.sdb.datasource;
//import java.io.*;

//--------------------------VRDataSourceBuilder class ----------------------
/** Manufactures Logical VRDataSource objects.  Holds relevant data and validates before instantiating the appropriate
DataSource objects*/


public class VRDataSourceBuilder extends DataSourceBuilder
{
    
    

  /** Default Constructor sets the bounds and recordDesc members to default values.
  */
  public VRDataSourceBuilder(DataSourceCollection d, String n)
  {
    super(d,n);
  }

    
  /** instantiate an actual datasource object**/
  public DataSource makeDataSource()
  {
    if (discardFlag == true)
      return  null;

    return new VRDataSource( getDSName(),  getFirstComponentDataSource());
  }

 }
