//
//  CellGroup.java
//  Unstructured
//
//  Created by Philip Rhodes on Sat Aug 03 2002.
//  Copyright (c) 2001 University of New Hampshire. All rights reserved.


package edu.unh.sdb.lattice;

//import edu.unh.sdb.common.*;

//import java.io.*;

public abstract class CellGroup {

	
    protected GBounds bounds;

/*    
    protected boolean inMemory=false;
	protected boolean backedByFile=false;
	
	protected String vInfoFdlName;
    protected String vIndexFdlName;
	
	protected RecordSpec dataRS;
	protected RecordSpec pointRS;
*/	
	protected int dimensionality;
	
	protected int numCells;
	
    public CellGroup(GBounds bounds){
    
        this.bounds= bounds.copyBounds();
		//this.backedByFile=false;
		//this.inMemory=true;
		this.numCells=0;
		this.dimensionality=bounds.dim();
    }

/*
    public CellGroup(GBounds bounds, String vIndexFdlName, RecordSpec pointRS, String vInfoFdlName, RecordSpec dataRS){
    
        this.bounds=(GBounds) bounds.clone();
		
		this.vIndexFdlName 	= new String(vIndexFdlName);
		this.vInfoFdlName 	= new String(vInfoFdlName);
		
		this.dataRS=dataRS;
		this.pointRS=pointRS;
		
		this.backedByFile=true;
		this.inMemory=false;
		
		this.dimensionality=this.bounds.dim();
		this.numCells=0;
    }
*/	
	public int dim(){
	
		return this.dimensionality;
	}
	
    
    //public abstract boolean register(TriangleCell cell);
	
    public abstract Cell findEnclosingCell(Point p);    
	
	public int getNumCells(){
	
		return this.numCells;
	}
	
	protected void setNumCells(int numCells){
	
		this.numCells=numCells;
	}
	
			
	//public int writeCells(DataSink sink, int startID){ return 0;}
	
	
	//public int writeCells(String dataFileName){ return 0;}

/*	
	public boolean inMemory(){
	
		return inMemory;
	}
*/	
	//public abstract int readCells();	

		
    /** Return a String representing the object. */
    public String toString(){
        
        return this.toString("");
    }    
    
    /** Return a String representing the object indented by the argument string. */
    public String toString(String indent){

		return null;
    }
    
}
