package edu.unh.sdb.remote;
import java.net.*;

public abstract class Sender{
	
	protected String clientIP;
	protected int serverDataPort;
	protected boolean busy;
	
	public abstract int SendData(byte[] dataBuf, int len); 

	public abstract void freeResource();

	public void setClientIP(String ip){
		clientIP = ip;
	}
	
	public void setClientIP(InetAddress ip){
		//System.out.println("In Sender...");
		clientIP = ip.getHostAddress();
//		clientIP = ip.getHostName();
		//System.out.println("Client IP is set to "+clientIP);
	}

	public void setServerDataPort(int port){
		serverDataPort = port;
	}
	
	public boolean isBusy()
	{
		return busy;
	}
	
	public void setBusyStatus(boolean status)
	{
		busy = status;
	}	
}