/* 
     Bounds.java
     Copyright 2000 University of New Hampshire
     Durham, NH 03824
*/

package edu.unh.sdb.common;
//import java.io.*;


/** The Bounds class is meant to represent n-d hypercubes in 
 *   an n-d space. 
*/
public abstract class Bounds implements Cloneable{

    //protected SpaceID lower,upper;


               
    /** Return a copy of this Bounds object
    */
    public abstract Object clone();
    
    
    
    /** Return dimensionality of Bounds. */
    public abstract int dim();
    
    
    /** Write the contents of the Bounds to a string.*/
    public abstract String toString();

    
    
    //public abstract void boundingVolume(Bounds db);
    
    //public abstract void intersection(Bounds b2);
    
       
             
    /** return a copy of the lower SpaceID */
//    public SpaceID getLowerSpaceID(){
//    
//        return (SpaceID) this.lower.clone();
//    }
    
    
    
    
    /** return a copy of the upper SpaceID */
//    public SpaceID getUpperSpaceID(){
//    
//        return  (SpaceID) this.upper.clone();
//    }
    
     
}

