//
//  DataArray.java
//  Common
//
//  Created by Philip Rhodes on Sat Oct 19 2002.
//  Copyright (c) 2002 University of New Hampshire. All rights reserved.
//



package edu.unh.sdb.common;

import edu.unh.sdb.datasource.*;
//import java.io.*;


public class DataArray {

    protected AxisOrdering ordering;
    protected long [] axisWeights;

    public DataArray(int [] dimensions){
    
        this.ordering=new AxisOrdering(dimensions.length);
        this.axisWeights=this.ordering.makeAxisWeights(new IntegerIndexSpaceID(dimensions));
    }
    
    public DataArray(int [] dimensions, AxisOrdering ordering){
    
    	this.axisWeights=this.ordering.makeAxisWeights(new IntegerIndexSpaceID(dimensions));
    }


    

}
