//
//  Type.java
//  DS2Test
//
//  Created by Philip Rhodes on Mon Jan 21 2002.
//  Copyright (c) 2001 University of New Hampshire. All rights reserved.
//

package edu.unh.sdb.common;


/** The Type class represents named types in the SDB system. */
public class Type {

    protected String name;

    protected Type(String name){

        this.name=name;
    }

    protected Type(){

        this.name=new String("");
    }
    

    
    public String getName(){

        return this.name;
    }


    public boolean equals(Object obj){
        Type t=(Type) obj;

        return this.name.equals(t.name);
    }

    /** Return a representation of this object as a nicely formatted String. This method 
     *  is meant to be called
     *  by the toString method of child classes only.*/
    public String toString(){

        StringBuffer result=new StringBuffer("<< ");
        
        result.append(this.name);
        result.append(": ");

        return new String(result);
    }
    
}
