/*	
	AppMonitor.java
	Copyright 2000 University of New Hampshire
	Durham, NH 03824
*/

package edu.unh.sdb.datasource;
//import java.io.*;
import java.util.*;

public class AppMonitor {
    private static long msec1;
    private static long msec2;
    
    private static long cacheMissTotal=0;
    private static long cacheHitTotal=0;
    
    private static long count=0;
    
    public AppMonitor(){
        msec1=System.currentTimeMillis();
        msec2=msec1;
        cacheMissTotal=cacheHitTotal=0;
    }
    public static void Init(){
        msec1=System.currentTimeMillis();
        msec2=msec1;
    
        cacheMissTotal=cacheHitTotal=0;
    }
    public static void printStep(){
        msec2 = System.currentTimeMillis();
        Runtime r = Runtime.getRuntime();
        Date now = new Date(msec2); 
        System.out.println("Current Time: " + now);
        System.out.println("Time Span: " + (float) (msec2 - msec1)/1000 + "Sec.");
        long mem = r.totalMemory();
        System.out.println("Total Memory: " + mem); 
        System.out.println("Free Memory: " + r.freeMemory());
        msec1 = System.currentTimeMillis();
        System.out.println("Cache ratio="+cacheHitTotal/(double)(cacheHitTotal+cacheMissTotal));
        System.out.println("%%% count "+count);
    }
    
    public static void recordCacheHit(){
    
        cacheHitTotal++;
    }
    
    public static void recordCacheMiss(){
    
        cacheMissTotal++;
    }
    
    public static void count(){
    
        count++;
    }

}
