
/* 
    CellIndexable.java
    Copyright 2000 University of New Hampshire
    Durham, NH 03824
*/

package edu.unh.sdb.datasource;

//import edu.unh.sdb.common.*;

/**
 * An interface for classes that can be thought of as a cell space. Such classes 
 * can return a cell data block corresponding to an ISBounds. Currently, CellDataSource and
 * CellDataBlock are the only indexable classes.
 */


public interface CellIndexable extends Indexable {

    public abstract void urCellBlock(DataBlock ublock, ISBounds b, ISBounds resolution);
	//public abstract ISBounds getCellBlockResBounds(int resolution);
}
