/* 
    FileException.java
    Copyright 2000 University of New Hampshire
    Durham, NH 03824
*/

package edu.unh.sdb.datasource;

import edu.unh.sdb.common.*;
//import java.io.*;

/** This exception is raised when a file cannot be opened, read, etc.
 */
public class FileException extends SDBException{

   private static final long serialVersionUID = 0; // for serialization inheritance

    /** Create an exception with an explanatory message.*/
    FileException(String message){
    
        super(message);
    }


} 