
//----------------------- CommandException class ----------------------------
//
//  Define exceptions raised in definitions of Commands in CommandProcessor 
//  This shows how the constructor for an Exception can specify some 
//    arguments that can get used later in the catch code.
package edu.unh.sdb.util.CommandProcessor;

public class CommandException extends RuntimeException
{
  private static final long serialVersionUID = 0; // for serialization inheritance
  //--------------- CommandException( String ) ------------------------
  public CommandException( String message )
  {
     super( message );  
  }
  //--------------- CommandException( ) -------------------------------
  public CommandException( )
  {
     super( "Calculator Command exception" );  
  }
}
